%global              debug_package %{nil}

Name:                openspades
Version:             0.1.3
Release:             3%{?dist}
Summary:             Compatible client of Ace of Spades 0.75

License:             GPLv3
URL:                 http://openspades.yvt.jp/
Source0:             https://github.com/yvt/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:              disable-nonfree-download.patch

BuildRequires:       cmake
BuildRequires:       SDL2-devel
BuildRequires:       SDL2_image-devel
BuildRequires:       glew-devel
BuildRequires:       libcurl-devel
BuildRequires:       zlib-devel
BuildRequires:       freetype-devel
BuildRequires:       opusfile-devel
BuildRequires:       ImageMagick
BuildRequires:       gcc
BuildRequires:       gcc-c++
BuildRequires:       libXext-devel

Requires:            lpf-openspades-data

%description
OpenSpades is a clone of Ace of Spades 0.75,
which is a free online first-person shooter
created by Ben Aksoy, featuring fully
destructible terrain and plenty of game
modes (including the well-known Capture the
Flag) created by the community.

%package doc
Requires:            %{name} = %{version}-%{release}
Summary:             Supplemental documentation for %{name}
BuildArch:           noarch

%description doc
Supplemental documentation for %{name}. For more information, visit the main site.

%prep
%setup -q
%patch -P 0 -p1

%build
%cmake -DCMAKE_BUILD_TYPE=Release \
       -DOPENSPADES_RESDIR=%{_datadir}/%{name}/Resources \
       -DOPENSPADES_INSTALL_RESOURCES=%{_datadir}/%{name}/Resources \
       -DOPENSPADES_INSTALL_BINARY=%{_bindir}

%cmake_build


%install
%cmake_install

install -m 0644 Sources/json/LICENSE %{buildroot}%{_docdir}/%{name}/LICENSE.json.txt
install -m 0644 Sources/ENet/LICENSE %{buildroot}%{_docdir}/%{name}/LICENSE.ENet.txt
install -m 0644 Sources/kiss_fft130/COPYING %{buildroot}%{_docdir}/%{name}/LICENSE.kissfft.txt

%files
%{_datadir}/menu/%{name}
%{_datadir}/icons/hicolor/96x96/apps/%{name}.png
%{_datadir}/icons/hicolor/256x256/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/Resources
%{_datadir}/%{name}/Resources/pak999-References.pak
%{_datadir}/%{name}/Resources/pak005-Models.pak
%{_datadir}/%{name}/Resources/PackageInfo.json
%{_datadir}/%{name}/Resources/pak002-Base.pak
%{_datadir}/%{name}/Resources/pak010-BaseSkin.pak
%{_datadir}/%{name}/Resources/pak050-Locales.pak
%license %{_docdir}/%{name}/copyright
%license %{_docdir}/%{name}/LICENSE
%license %{_docdir}/%{name}/LICENSE.json.txt
%license %{_docdir}/%{name}/LICENSE.ENet.txt
%license %{_docdir}/%{name}/LICENSE.kissfft.txt
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man6/%{name}.6.gz
%{_bindir}/%{name}

%files doc
%doc %{_docdir}/%{name}/README.md
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/changelog.gz

%changelog
* Sat Mar 26 2022 Jan Drögehoff <sentrycraft123@gmail.com> - 0.1.3-3
- move data installation to lpf package

* Mon Jun 15 2020 Jan Drögehoff <sentrycraft123@gmail.com> - 0.1.3-2
- Update spec to download dependencies at install time
